﻿@model IEnumerable<RealEstate.Database.Entity.MA_User>

@{
    ViewBag.Title = "Employee List";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<ul class="nav nav-tabs" role="tablist">
    <li class="nav-item active">
        <a class="nav-link active" href="#ae" role="tab" data-toggle="tab">Active Employee</a>
    </li>
    <li class="nav-item">
        <a class="nav-link" href="#ee" role="tab" data-toggle="tab">Exited Employee</a>
    </li>
    <li class="nav-item">
        <a class="nav-link" href="#se" role="tab" data-toggle="tab">Site wise Employee</a>
    </li>
</ul>

<div class="tab-content">

    <div role="tabpanel" class="tab-pane active in" id="ae">
        <div class="card mb-4 employee-details">
            @*<div class="card-header">DataTable Example</div>*@
            <div class="card-body p-0">
                <div class="datatable table-responsive">
                    <div id="dataTable_wrapper" class="dataTables_wrapper dt-bootstrap4">
                        <table id="example" class="table table-striped example_datatable">
                            <thead>
                                <tr>
                                    <th>Employee Id</th>
                                    <th>Name</th>
                                    <th>Designation</th>
                                    <th>Project</th>
                                    <th>Phone</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach (var item in Model.Where(x => x.IsActive == true))
                                {
                                <tr>
                                    <td>@item.Id</td>
                                    <td style="color: blue;"><a href="/User/AddEditUser/@item.Id">@item.Name</a> </td>
                                    <td>@item.Designation</td>
                                    <td>@String.Join(",", item.UserProjects.Select(x => x.MA_Project.ProjectName))</td>
                                    <td>@item.Phone</td>
                                    <td>
                                        <span title="Edit"><a href="/User/AddEditUser/@item.Id"><i class="fas fa-edit"></i></a></span> |
                                        <span title="Delete"><a href="/User/DeleteUser/@item.Id"><i class="fas fa-trash-alt"></i></a></span>
                                    </td>
                                </tr>
                                }
                            </tbody>

                        </table>
                    </div>
                </div>
            </div>
            <div class="card-footer text-right">
                <a class="btn btn-primary btn-edit-user" href="/User/AddEditUser">Add User</a>
            </div>
        </div>
    </div>


    <div role="tabpanel" class="tab-pane fade" id="ee">
        <div class="card mb-4 employee-details">
            @*<div class="card-header">DataTable Example</div>*@
            <div class="card-body p-0">
                <div class="datatable table-responsive">
                    <div id="dataTable_wrapper" class="dataTables_wrapper dt-bootstrap4">
                        <table id="example" class="table table-striped example_datatable">
                            <thead>
                                <tr>

                                    <th>Employee Id</th>
                                    <th>Name</th>
                                    <th>Designation</th>
                                    <th>Project</th>
                                    <th>Phone</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach (var item in Model.Where(x => x.IsActive == false))
                                {
                                <tr>
                                    <td>@item.Id</td>
                                    <td style="color: blue;"><a href="/User/AddEditUser/@item.Id">@item.Name</a> </td>
                                    <td>@item.Designation</td>
                                    <td>@String.Join(",", item.UserProjects.Select(x => x.MA_Project.ProjectName))</td>
                                    <td>@item.Phone</td>
                                    <td>
                                        <span title="Edit"><a href="/User/AddEditUser/@item.Id"><i class="fas fa-edit"></i></a></span> |
                                        <span title="Delete"><a href="/User/DeleteUser/@item.Id"><i class="fas fa-trash-alt"></i></a></span>
                                    </td>
                                </tr>
                                }
                            </tbody>

                        </table>
                    </div>
                </div>
            </div>
            <div class="card-footer text-right">
                <a class="btn btn-primary btn-edit-user" href="/User/AddEditUser">Add User</a>
            </div>
        </div>
    </div>


    <div role="tabpanel" class="tab-pane fade" id="se">

        <div class="row">
            <div class="col-xl-12 footer_panel">
                <div class="card bg-white text-black mb-1">
                    <div class="card-body text-center">
                        <div class="text-center" style="width:25%">
                            @{
                                var projectLst = new List<string>();

                                foreach (var x in Model)
                                {
                                    foreach (var y in x.UserProjects)
                                    {
                                        projectLst.Add(y.MA_Project.ProjectName);
                                    }
                                }
                                projectLst = projectLst.Distinct().OrderBy(x => x).ToList();

                                <select class="form-control" id="dd_search_site">
                                    <option value="">---All Project---</option>
                                    @foreach (var x in projectLst)
                                    {
                                        <option>@x</option>
                                    }
                                </select>
                            }
                        </div>
                    </div>
                </div>
            </div>
        </div>


        <div class="card mb-4 employee-details">
            @*<div class="card-header">DataTable Example</div>*@
            <div class="card-body p-0">
                <div class="datatable table-responsive">
                    <div id="dataTable_wrapper" class="dataTables_wrapper dt-bootstrap4">
                        <table id="example" class="table table-striped example_datatable_search">
                            <thead>
                                <tr>
                                    <th>Employee Id</th>
                                    <th>Name</th>
                                    <th>Designation</th>
                                    <th>Project</th>
                                    <th>Phone</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach (var item in Model.Where(x => x.IsActive == true))
                                {
                                <tr>
                                    <td>@item.Id</td>
                                    <td style="color: blue;"><a href="/User/AddEditUser/@item.Id">@item.Name</a> </td>
                                    <td>@item.Designation</td>
                                    <td>@String.Join(",", item.UserProjects.Select(x => x.MA_Project.ProjectName))</td>
                                    <td>@item.Phone</td>
                                    <td>
                                        <span title="Edit"><a href="/User/AddEditUser/@item.Id"><i class="fas fa-edit"></i></a></span> |
                                        <span title="Delete"><a href="/User/DeleteUser/@item.Id"><i class="fas fa-trash-alt"></i></a></span>
                                    </td>
                                </tr>
                                }
                            </tbody>

                        </table>
                    </div>
                </div>
            </div>
            <div class="card-footer text-right">
                <a class="btn btn-primary btn-edit-user" href="/User/AddEditUser">Add User</a>
            </div>
        </div>
    </div>

</div>


@section Scripts
{
    <script type="text/javascript">
        $(document).ready(function () {
            $('.example_datatable').DataTable({
                "pagingType": "full_numbers"
            });

            var example_datatable_search = $('.example_datatable_search').DataTable({
                "pagingType": "full_numbers"
            });


            $('#dd_search_site').change(function () {
                example_datatable_search.search(this.value).draw();
            });
        });
    </script>
}




